org.wso2.carbon.module.mgt.stub

## Class RemoveModuleParameter

- java.lang.Object
- - org.wso2.carbon.module.mgt.stub.RemoveModuleParameter

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class RemoveModuleParameter
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  RemoveModuleParameter bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RemoveModuleParameter.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localModuleName` field for ModuleName
    `protected boolean` | `localModuleNameTracker`
    `protected String` | `localModuleVersion` field for ModuleVersion
    `protected boolean` | `localModuleVersionTracker`
    `protected String` | `localParameterName` field for ParameterName
    `protected boolean` | `localParameterNameTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveModuleParameter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getModuleName()` Auto generated getter method
    `String` | `getModuleVersion()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `String` | `getParameterName()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `boolean` | `isModuleNameSpecified()`
    `boolean` | `isModuleVersionSpecified()`
    `boolean` | `isParameterNameSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setModuleName(String param)` Auto generated setter method
    `void` | `setModuleVersion(String param)` Auto generated setter method
    `void` | `setParameterName(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localModuleName

          protected String localModuleName

      field for ModuleName

    - #### localModuleNameTracker

          protected boolean localModuleNameTracker

    - #### localModuleVersion

          protected String localModuleVersion

      field for ModuleVersion

    - #### localModuleVersionTracker

          protected boolean localModuleVersionTracker

    - #### localParameterName

          protected String localParameterName

      field for ParameterName

    - #### localParameterNameTracker

          protected boolean localParameterNameTracker

  - ### Constructor Detail

    - #### RemoveModuleParameter

          public RemoveModuleParameter()

  - ### Method Detail

    - #### isModuleNameSpecified

          public boolean isModuleNameSpecified()

    - #### getModuleName

          public String getModuleName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setModuleName

          public void setModuleName(String param)

      Auto generated setter method
      Parameters:
        `param` - ModuleName

    - #### isModuleVersionSpecified

          public boolean isModuleVersionSpecified()

    - #### getModuleVersion

          public String getModuleVersion()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setModuleVersion

          public void setModuleVersion(String param)

      Auto generated setter method
      Parameters:
        `param` - ModuleVersion

    - #### isParameterNameSpecified

          public boolean isParameterNameSpecified()

    - #### getParameterName

          public String getParameterName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setParameterName

          public void setParameterName(String param)

      Auto generated setter method
      Parameters:
        `param` - ParameterName

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2022 WSO2. All rights reserved.